Bug 97009 - kernel 2.4.20-13.8 doesn't load speedstep module
Summary: kernel 2.4.20-13.8 doesn't load speedstep module
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-06-08 18:50 UTC by shmuelp
Modified: 2007-04-18 16:54 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:41:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
typescript output demonstrating problem (1.56 KB, text/plain)
2003-06-08 18:52 UTC, shmuelp
no flags Details
'lspci -v' output (3.98 KB, text/plain)
2003-06-08 18:53 UTC, shmuelp
no flags Details

Description shmuelp 2003-06-08 18:50:37 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4b) Gecko/20030516
Mozilla Firebird/0.6

Description of problem:
Attempting to load the speedstep module fails.  Entry in the log states:
"Intel(R) SpeedStep(TM) for this chipset not (yet) available."

However, my CPU is speedstep capable- just the module doesn't detect that it is.

Version-Release number of selected component (if applicable):
kernel-2.4.20-13.8

How reproducible:
Always

Steps to Reproduce:
1. Run 'modprobe speedstep' on a Dell Inspiron 4000    

Actual Results:  /lib/modules/2.4.20-13.8/kernel/arch/i386/kernel/speedstep.o:
insmod /lib/modules/2.4.20-13.8/kernel/arch/i386/kernel/speedstep.o failed
/lib/modules/2.4.20-13.8/kernel/arch/i386/kernel/speedstep.o: insmod speedstep
failed


Expected Results:  Module should have inserted cleanly.

Additional info:

'lspci -v' output attached

Comment 1 shmuelp 2003-06-08 18:52:19 UTC
Created attachment 92263 [details]
typescript output demonstrating problem

Comment 2 shmuelp 2003-06-08 18:53:48 UTC
Created attachment 92264 [details]
'lspci -v' output

Attaching output of 'lspci -v'

Comment 3 Bugzilla owner 2004-09-30 15:41:04 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.